Skip to main content

Pairs

GET 

/pairs

Returns the minimum and maximum deposit amount and the rate for every possible pair of coins listed in the query string.

warning

Authenticate by signing the request or with the legacy x-sideshift-secret header. Your Ed25519 secret key and your account secret each grant full access to your account. Never share them.

info

Use the same commissionRate in this endpoint as when creating the shift/quote to get an accurate rate information.

Request​

Header Parameters

    x-sideshift-key string

    Your Ed25519 public key, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-timestamp string

    Current Unix time in milliseconds, the same value used in the signed message. Must be within 60 seconds of server time. Required when signing the request.

    x-sideshift-signature string

    Ed25519 signature of timestamp + METHOD + path + body, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-secret string

    Legacy account secret. Not needed when the request is signed with the x-sideshift-key, x-sideshift-timestamp and x-sideshift-signature headers. See Authentication.

Query Parameters

    pairs stringrequired

    btc-mainnet,usdc-bsc,bch,eth

    affiliateId stringrequired
    commissionRate string

Responses​

OK
Schema
  • Array [

  • depositCoinstringrequired
    settleCoinstringrequired
    depositNetworkstringrequired
    settleNetworkstringrequired
    minstringrequired
    maxstringrequired
    ratestringrequired
  • ]